Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.rulesys.builtins
Class NoValue

    java.lang.Object
      com.hp.hpl.jena.reasoner.rulesys.builtins.BaseBuiltin
          com.hp.hpl.jena.reasoner.rulesys.builtins.NoValue

All Implemented Interfaces:
  Builtin

    public class NoValue

extends BaseBuiltin

Can be used in two arg form (X, P) or three arg form (X, P, V). In three arg form it succeeds if the triple (X, P, V) is not currently present, in two arg form it succeeds if there is not value for (X, P, *).

Version:
  $Revision: 1.13 $ on $Date: 2008/01/02 12:06:20 $
Author:
  Dave Reynolds

Field Summary

Fields inherited from class com.hp.hpl.jena.reasoner.rulesys.builtins.BaseBuiltin
`BASE_URI`

Constructor Summary
`NoValue()`

Method Summary
`boolean` | `bodyCall(Node[] args, int length, RuleContext context)` This method is invoked when the builtin is called in a rule body.
`java.lang.String` | `getName()` Return a name for this builtin, normally this will be the name of the functor that will be used to invoke it.
`boolean` | `isMonotonic()` Flag as non-monotonic so the guard clause will get rerun after deferal as part of a non-trivial conflict set.

Methods inherited from class com.hp.hpl.jena.reasoner.rulesys.builtins.BaseBuiltin
`checkArgs, getArg, getArgLength, getURI, headAction, isSafe`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoValue

    public NoValue()

Method Detail

### getName

    public java.lang.String getName()

  Return a name for this builtin, normally this will be the name of the functor that will be used to invoke it.

### bodyCall

    public boolean bodyCall(Node[] args,
                            int length,
                            RuleContext context)

  This method is invoked when the builtin is called in a rule body.

  Specified by:
    `bodyCall` in interface `Builtin`
  Overrides:
    `bodyCall` in class `BaseBuiltin`
  Parameters:
    `args` - the array of argument values for the builtin, this is an array of Nodes, some of which may be Node_RuleVariables.
    `length` - the length of the argument list, may be less than the length of the args array for some rule engines
    `context` - an execution context giving access to other relevant data
  Returns:
    return true if the buildin predicate is deemed to have succeeded in the current environment

### isMonotonic

    public boolean isMonotonic()

  Flag as non-monotonic so the guard clause will get rerun after deferal as part of a non-trivial conflict set.

  Specified by:
    `isMonotonic` in interface `Builtin`
  Overrides:
    `isMonotonic` in class `BaseBuiltin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP